Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml.events
Class CollectionStartEvent

    java.lang.Object
      org.yaml.snakeyaml.events.Event
          org.yaml.snakeyaml.events.NodeEvent
              org.yaml.snakeyaml.events.CollectionStartEvent

Direct Known Subclasses:
  MappingStartEvent, SequenceStartEvent

    public abstract class CollectionStartEvent

extends NodeEvent

Base class for the start events of the collection nodes.

Nested Class Summary

Nested classes/interfaces inherited from class org.yaml.snakeyaml.events.Event
`Event.ID`

Constructor Summary
`CollectionStartEvent(String anchor, String tag, boolean implicit, Mark startMark, Mark endMark, Boolean flowStyle)`

Method Summary
`protected String` | `getArguments()`
`Boolean` | `getFlowStyle()` `true` if this collection is in flow style, `false` for block style.
`boolean` | `getImplicit()` `true` if the tag can be omitted while this collection is emitted.
`String` | `getTag()` Tag of this collection.

Methods inherited from class org.yaml.snakeyaml.events.NodeEvent
`getAnchor`

Methods inherited from class org.yaml.snakeyaml.events.Event
`equals, getEndMark, getStartMark, is, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollectionStartEvent

    public CollectionStartEvent(String anchor,
                                String tag,
                                boolean implicit,
                                Mark startMark,
                                Mark endMark,
                                Boolean flowStyle)

Method Detail

### getTag

    public String getTag()

  Tag of this collection.

  Returns:
    The tag of this collection, or `null` if no explicit tag is available.

### getImplicit

    public boolean getImplicit()

  `true` if the tag can be omitted while this collection is emitted.

  Returns:
    True if the tag can be omitted while this collection is emitted.

### getFlowStyle

    public Boolean getFlowStyle()

  `true` if this collection is in flow style, `false` for block style.

  Returns:
    If this collection is in flow style.

### getArguments

    protected String getArguments()

  Overrides:
    `getArguments` in class `NodeEvent`
  See Also:
    `for Event in PyYAML`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.